summaryrefslogtreecommitdiff
path: root/runit/sv/pipewire-pulse/run
diff options
context:
space:
mode:
authorzachir <zachir@librem.one>2024-06-06 15:25:36 -0500
committerzachir <zachir@librem.one>2024-06-06 15:32:41 -0500
commit2d1af667b96d9f8d80a4aec217d8a1f48a946bb2 (patch)
treee4d2183a41f0c197dd15989972e09f07192afd05 /runit/sv/pipewire-pulse/run
parent84e670004f797f30b89298daf4de7b842fda4f26 (diff)
Add runit user services as well
Diffstat (limited to 'runit/sv/pipewire-pulse/run')
-rwxr-xr-xrunit/sv/pipewire-pulse/run12
1 files changed, 12 insertions, 0 deletions
diff --git a/runit/sv/pipewire-pulse/run b/runit/sv/pipewire-pulse/run
new file mode 100755
index 0000000..0e43d6f
--- /dev/null
+++ b/runit/sv/pipewire-pulse/run
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Wait for the PipeWire Media Session daemon to start.
+sv check "$HOME/.config/runit/sv/wireplumber" >/dev/null || exit 1
+
+[ -r ./conf ] && . ./conf
+
+if [ "${LOGGING_ENABLE}x" = "1x" -a -n "${LOG_LEVEL}" ]; then
+ export PIPEWIRE_DEBUG="${LOG_LEVEL}"
+fi
+
+exec pipewire-pulse ${OPTS:-} 2>&1